Index: code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 2436)
+++ code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 2459)
@@ -31,4 +31,5 @@
 
 #include <OgreBillboard.h>
+#include <OgreBillboardSet.h>
 #include "util/Debug.h"
 #include "core/CoreIncludes.h"
@@ -44,5 +45,5 @@
   CreateFactory(Trigger);
 
-  Trigger::Trigger(BaseObject* creator) : PositionableEntity(creator)
+  Trigger::Trigger(BaseObject* creator) : StaticEntity(creator)
   {
     RegisterObject(Trigger);
@@ -71,5 +72,5 @@
 
       if (this->debugBillboard_.getBillboardSet())
-        this->getNode()->attachObject(this->debugBillboard_.getBillboardSet());
+          this->attachOgreObject(this->debugBillboard_.getBillboardSet());
     }
 
Index: code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 2436)
+++ code/branches/presentation/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 2459)
@@ -36,5 +36,5 @@
 
 #include "objects/Tickable.h"
-#include "objects/worldentities/PositionableEntity.h"
+#include "objects/worldentities/StaticEntity.h"
 #include "tools/BillboardSet.h"
 
@@ -48,5 +48,5 @@
   };
 
-  class _OrxonoxExport Trigger : public PositionableEntity, public Tickable
+  class _OrxonoxExport Trigger : public StaticEntity, public Tickable
   {
     public:
